_u_endpoint Struct Reference
Structures

Contains all informations needed for an endpoint. More...

`#include <ulfius.h>`

## Data Fields

char * | http_method
char * | url_prefix
char * | url_format
unsigned int | priority
int(* | callback_function )(const struct _u_request *request, struct _u_response *response, void *user_data)
void * | user_data

## Detailed Description

Contains all informations needed for an endpoint.

## Field Documentation

## http_method

char* _u_endpoint::http_method

## url_prefix

char* _u_endpoint::url_prefix

## url_format

char* _u_endpoint::url_format

## priority

unsigned int _u_endpoint::priority

## callback_function

int(* _u_endpoint::callback_function) (const struct _u_request *request, struct _u_response *response, void *user_data)

## user_data

void* _u_endpoint::user_data

The documentation for this struct was generated from the following file:

- include/ulfius.h